Не могу инстолировать LuaCOM под Lua 5.3.5 64-бит

Страницы: 1
RSS
Не могу инстолировать LuaCOM под Lua 5.3.5 64-бит
 
У меня Windows 8.1, MS Visual C++2015. Под Lua 5.1.5 64-бит работает. Под Lua 5.3.5 и 64- и 32-бит только компилируется (с /DNLUA51) и линкуется. При require ("luacom") сбой в 9-й строке luacom5.lua.
Дистрибут скачал с https://github.com/davidm/luacom. Файл luacom5.loh построил из luacom5.lua с помощью bin2c.lua.
Может быть компилятору для machine:x64 нужны какие-то ключи генерации кода, не используемые для x86?
Я ещё не инстолировал Quik 8.5. Нет ли там случайно готового luacom.dll?
Можно ли откуда-то скачать luacom.dll?
 
Добрый день.

У нас готовых файлов нет, можете обратиться к автору исходников, чтобы корректно скомпилировать их под Lua 5.3.
Возможно участники форума поделятся готовыми решениями.
 
На https://github.com/davidm/luacom/issues/24 вопрос решён новым дистрибутом.
 
Есть рабочая сборка luacom для x64/Lua5.3
Напишите swerg@swerg.ru если требуется
Страницы: 1
Читают тему (гостей: 1)
Наверх